class_name LuckyBullet extends Bullet

var minDamage: int = 0
var maxDamage: int = 2

func _init() -> void:
	type = GLOBALS.ITEMTYPES.LUCKYBULLET 

func getDamage() -> int:
	randomize()
	var rng = RandomNumberGenerator.new()
	return rng.randi_range(minDamage, maxDamage)
